{
  "format_version": "1.21.80",
  "minecraft:item": {
    "description": {
      "identifier": "mnp_ci:palm_door_item", // Identifier for the torch item.
      "menu_category": {
        "category": "construction"
      }
    },
    "components": {
      "minecraft:display_name": {
        "value": "Palm Door"
      },
      "minecraft:max_stack_size": 64,
      "minecraft:icon": {
        "textures": {
          "default": "mnp_ci:palm_door_item" // Texture used for your torch item.
        }
      },
      "minecraft:block_placer": {
        // Places the torch.
        "block": "mnp_ci:palm_door"
      }
    }
  }
}
